> ## Documentation Index
> Fetch the complete documentation index at: https://docs.lumx.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a partner fee

> This endpoint creates a partner fee.



## OpenAPI

````yaml /openapi/api-production.yaml post /partner-fees
openapi: 3.1.0
info:
  version: 1.0.0
  title: Lumx API
  description: >-
    A cross-border banking API with instant settlements and unmatched liquidity,
    powered by stablecoins.
servers:
  - url: https://api.lumx.io
  - url: https://api-sandbox.lumx.io
security: []
paths:
  /partner-fees:
    post:
      tags:
        - Partner Fees
      summary: Create a partner fee
      description: This endpoint creates a partner fee.
      parameters:
        - $ref: '#/components/parameters/IdempotencyKey'
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PartnerFeeRequest'
      responses:
        '201':
          description: Partner fee successfully created.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PartnerFeeResponse'
      security:
        - apiKey: []
components:
  parameters:
    IdempotencyKey:
      name: Idempotency-Key
      in: header
      required: false
      schema:
        type: string
        format: uuid
      description: >-
        Optional UUID v4 idempotency key. If you resend the same key with a
        different request body, the API returns a 409 error. Cached responses
        include the header `X-Idempotency-Cached: true`. Keys expire after 24
        hours.
  schemas:
    PartnerFeeRequest:
      type: object
      properties:
        name:
          type: string
          description: Partner fee's name.
          example: Fee 7
        walletAddress:
          type: string
          description: Partner's wallet address that will receive the funds.
          example: '0x76b74209f3542d172ca1575b5b18064594360299'
        fees:
          type: object
          description: Partner fee's fees.
          properties:
            onRamp:
              type: object
              properties:
                rate:
                  type: string
                  description: On-ramp fee rate in basis points (bps).
                  example: '10'
                flatAmount:
                  type: string
                  description: On-ramp fee flat amount.
                  example: '1'
            offRamp:
              type: object
              properties:
                rate:
                  type: string
                  description: Off-ramp fee rate in basis points (bps).
                  example: '10'
                flatAmount:
                  type: string
                  description: Off-ramp fee flat amount in dollars.
                  example: '1'
      required:
        - walletAddress
        - name
        - fees
    PartnerFeeResponse:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: Partner fee's unique identifier.
          example: 123e4567-e89b-12d3-a456-426614174004
        name:
          type: string
          description: Partner fee's name.
          example: Fee name
        walletAddress:
          type: string
          description: Partner's wallet address that will receive the funds.
          example: '0x76b74209f3542d172ca1575b5b18064594360299'
        fees:
          type: object
          description: Partner fee's fees.
          properties:
            onRamp:
              type: object
              properties:
                rate:
                  type: string
                  description: On-ramp fee rate in basis points (bps).
                  example: '10'
                flatAmount:
                  type: string
                  description: On-ramp fee flat amount in dollars.
                  example: '1'
            offRamp:
              type: object
              properties:
                rate:
                  type: string
                  description: Off-ramp fee rate in basis points (bps).
                  example: '10'
                flatAmount:
                  type: string
                  description: Off-ramp fee flat amount in dollars.
                  example: '1'
        createdAt:
          type: string
          description: Creation date and time (UTC).
          format: date-time
          example: '2021-01-01T00:00:00Z'
  securitySchemes:
    apiKey:
      type: http
      scheme: bearer
      description: Bearer authentication header on the format `Bearer <API_KEY>`.

````